%define _kde4_alternate_placement 1
%add_findpackage_path %_kde4_bindir

%def_disable kworldclock
%def_enable icons
%def_disable emoticons
%def_enable wallpapers
%def_disable icewm

%define rname kdeartwork
%define major 4
%define minor 4
%define bugfix 5
Name: kde4artwork
Version: %major.%minor.%bugfix
Release: alt1.M51.1

Summary: K Desktop Environment - Artwork
Group: Graphical desktop/KDE
License: GPL
Url: http://www.kde.org

%if_enabled kworldclock
Requires: %name-kworldclock = %version-%release
%endif
%if_enabled emoticons
Requires: %name-emoticons = %version-%release
%endif
Requires: %name-desktopthemes = %version-%release
%if_enabled icewm
Requires: %name-styles-icewm-kwin = %version-%release
%endif
Requires: %name-screensavers = %version-%release
Requires: %name-screensavers3d = %version-%release
#Requires: %name-xscreensaver = %version-%release
#Requires: %name-xscreensaver3d = %version-%release
Requires: %name-sounds = %version-%release
Requires: %name-styles-phase-widgets = %version-%release
%if_enabled wallpapers
Requires: %name-wallpapers = %version-%release
%endif
Requires: %name-color-schemes = %version-%release
%if_enabled icons
Requires: %name-icon-theme-nuvola = %version-%release
%endif


Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar


BuildRequires(pre): kde4base-workspace-devel
BuildRequires: gcc-c++ xorg-x11-devel eigen2
BuildRequires: xscreensaver-hacks xscreensaver-hacks-gl
BuildRequires: kde4base-workspace-devel >= %version kde4libs-devel >= %version

%description
Additional artwork (themes, sound themes, icons,etc...) for KDE.

%package common
Summary: Common package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= %major.%minor
%description common
Common package for %name

%package emoticons
Summary: %name emoticon themes
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
%description emoticons
Emoticon themes for KDE

%package desktopthemes
Summary: %name desktop theme
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Requires: kde4base-workspace-core
Provides: plasma-desktoptheme-aya = %version-%release
Obsoletes: plasma-desktoptheme-aya < %version-%release
Provides: plasma-desktoptheme-clean-blend = %version-%release
Obsoletes: plasma-desktoptheme-clean-blend < %version-%release
Provides: plasma-desktoptheme-elegance = %version-%release
Obsoletes: plasma-desktoptheme-elegance < %version-%release
Provides: plasma-desktoptheme-heron = %version-%release
Obsoletes: plasma-desktoptheme-heron < %version-%release
Provides: plasma-desktoptheme-silicon = %version-%release
Obsoletes: plasma-desktoptheme-silicon < %version-%release
Provides: plasma-desktoptheme-slim-glow = %version-%release
Obsoletes: plasma-desktoptheme-slim-glow < %version-%release
%description desktopthemes
Desktop themes for KDE

%package screensavers
Summary: Sreensavers for KDE4
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-workspace-core
Requires: %name-common = %version-%release
Provides: kscreensaver4-asciiquarium = %version-%release
Obsoletes: kscreensaver4-asciiquarium < %version-%release
%description screensavers
Screensavers for KDE

%package screensavers3d
Summary: Additional screensavers for KDE4 with OpenGL support
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-screensavers
Requires: kde4base-workspace-core
%description screensavers3d
Additional screensavers for KDE with OpenGL support

%package xscreensaver
Summary: %name frontend to xscreensaver screensavers
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-workspace-core
Requires: %name-common = %version-%release
Requires: xscreensaver-hacks, xscreensaver-hacks-gl
%description xscreensaver
This package contains frontend to xscreensaver
to give additional screensavers for KDE.

%package xscreensaver3d
Summary: %name frontend to xscreensaver OpenGL screensavers
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-workspace-core
Requires: %name-common = %version-%release
Requires: %name-xscreensaver
Requires: xscreensaver-hacks, xscreensaver-hacks-gl
%description xscreensaver3d
This package contains frontend to xscreensaver
to give additional OpenGL screensavers for KDE.

%package kworldclock
Summary: %name themes for KWorldClock
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Requires: kde4toys-kworldclock
%description kworldclock
Themes for KWorldClock

%package sounds
Summary: Additional sounds for KDE4
Group: Sound
Requires: %name-common = %version-%release
%description sounds
Additional sounds for KDE

%package color-schemes
Summary: Color schemes for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
%description color-schemes
Color schemes for KDE

%package wallpapers
Summary: Additional wallpapers for KDE4
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
%description wallpapers
Additional wallpapers for KDE

%package styles-icewm-kwin
Summary: %name IceWM style for KDE4 window manager
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Provides: kde4-styles-icewm-kwin = %version-%release
Obsoletes: kde4-styles-icewm-kwin <= %version-%release
%description styles-icewm-kwin
IceWM style for KDE window manager

%package styles-phase-widgets
Summary: Phase style for KDE4 widgets
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Provides: kde4-styles-phase-widgets = %version-%release
Obsoletes: kde4-styles-phase-widgets <= %version-%release
%description styles-phase-widgets
Phase style for KDE/QT widgets

%package icon-theme-nuvola
Summary: Nuvola icons for KDE
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: icon-theme-nuvola = %version-%release
Obsoletes: icon-theme-nuvola <= %version-%release
Provides: kde-icon-theme-nuvola = %version-%release
Obsoletes: kde-icon-theme-nuvola <= %version-%release
Provides: kde4-icon-theme-nuvola = %version-%release
Obsoletes: kde4-icon-theme-nuvola <= %version-%release
%description icon-theme-nuvola
Nuvola icons for KDE

%package icon-theme-primary
Summary: Crystal SVG icons for KDE
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: icon-theme-primary = %version-%release
Obsoletes: icon-theme-primary <= %version-%release
Provides: kde-icon-theme-primary = %version-%release
Obsoletes: kde-icon-theme-primary <= %version-%release
Provides: kde4-icon-theme-primary = %version-%release
Obsoletes: kde4-icon-theme-primary <= %version-%release
%description icon-theme-primary
Crystal SVG icons for KDE

%prep
%setup -q -n %rname-%version

%build
%K4build \
    -DICON_INSTALL_DIR=%_K4iconsdir

%install
%K4install

# list scrinsavers
>lst.screensavers3d
>lst.screensavers
>lst.xscreensaver3d
>lst.xscreensaver
find %buildroot/%_K4srv/ScreenSavers -type f -name \*desktop | \
while read f
do
    NAME=`basename $f`
    EXEC=`grep 'Exec=' $f | head -n 1 | sed -e 's|.*=||' -e 's|[[:space:]].*||'`
    LIST=lst.screensavers
    if echo "$NAME" | grep -q -e "^K" -e "sciiquarium"; then
	if grep -q 'X-KDE-Type=OpenGL' $f; then
	    LIST=lst.screensavers3d
	else
	    LIST=lst.screensavers
	fi
    else
	if grep -q 'X-KDE-Type=OpenGL' $f; then
	    LIST=lst.xscreensaver3d
	else
	    LIST=lst.xscreensaver
	fi
    fi
    echo "%%_K4srv/ScreenSavers/$NAME" >> $LIST
    echo "$EXEC" | grep -q -e '\.kss$' \
	&& echo "%%_kde4_bindir/$EXEC" >> $LIST
done

# fix icons
for n in nuvola
do
    pushd %buildroot/%_K4iconsdir/$n
    if grep -q "^Inherits=" index.theme; then
	sed -i "s|Inherits=.*|Inherits=oxygen,hicolor|" index.theme
    else
	sed -i "s|DisplayDepth=\(.*\)|Inherits=oxygen,hicolor\nDisplayDepth=\1|" index.theme
    fi
    find ./ -type f -name go.png| \
    while read i
    do
	n=`dirname $i`
	[ -e $n/kmenu.png ] \
	    || ln -s go.png $n/kmenu.png
    done
    popd
done


%files
%files common
%doc README

%if_enabled emoticons
%files emoticons
%_K4emo/*
%else
%exclude %_K4emo/*
%endif

%files desktopthemes
%_K4apps/desktoptheme/*

%if_enabled icewm
%files styles-icewm-kwin
%_K4apps/kwin/icewm-themes/*
%endif

%files styles-phase-widgets
%_K4apps/kstyle/themes/phase.themerc
%_K4lib/kstyle_phase_config.so
%_K4lib/plugins/styles/phasestyle.so

%files screensavers -f lst.screensavers
%_K4apps/kfiresaver/
%_K4apps/kscreensaver/

%files screensavers3d -f lst.screensavers3d

%files xscreensaver -f lst.xscreensaver
%_kde4_bindir/kxsconfig
%_kde4_bindir/kxsrun

%files xscreensaver3d -f lst.xscreensaver3d

%if_enabled kworldclock
%files kworldclock
%_K4apps/kworldclock/maps/*
%else
#%exclude %_K4apps/kworldclock/maps/*
%endif

%files sounds
%_K4snd/KDE_Logout_new.wav
%_K4snd/KDE_Startup_new.wav

%files color-schemes
%_K4apps/color-schemes/

%if_enabled wallpapers
%files wallpapers
%_K4wall/*
%else
%exclude %_K4wall/*
%endif

%if_enabled icons
%files icon-theme-nuvola
%_K4iconsdir/nuvola/
%else
%exclude %_kde4_iconsdir/*
%endif

%changelog
* Tue Jul 20 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt1.M51.1
- built for M51

* Mon Jul 19 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt2
- package icons, wallpapers

* Thu Jul 08 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt0.M51.1
- built for M51

* Mon Jul 05 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt1
- new version

* Thu Jun 03 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt0.M51.1
- built for M51

* Wed Jun 02 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt1
- new version

* Thu May 13 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt0.M51.1
- built for M51

* Tue May 11 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt1
- new version

* Wed Apr 21 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt0.M51.1
- built for M51

* Tue Mar 30 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt1
- new version

* Tue Mar 02 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.1-alt1
- new version

* Thu Feb 11 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt1
- new version

* Thu Jan 28 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.95-alt1
- new version

* Mon Jan 25 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.90-alt1
- new version

* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Tue Dec 01 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Thu Nov 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Fri Oct 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

* Tue Sep 01 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version

* Wed Aug 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- 4.3.0

* Thu Jul 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- 4.2.98

* Fri Jul 17 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- 4.2.96

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Mon Jun 08 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Tue May 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Mon Apr 06 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Thu Mar 05 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Wed Jan 21 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt2
- rebuilt

* Wed Oct 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Thu Sep 04 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Mon Jun 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Thu May 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Mon Apr 21 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- initial build

